Package com.independentsoft.office.odf.styles

# Enum Class TextAreaVerticalAlignment

java.lang.Object
java.lang.Enum<TextAreaVerticalAlignment>
com.independentsoft.office.odf.styles.TextAreaVerticalAlignment

All Implemented Interfaces:
  `Serializable`, `Comparable<TextAreaVerticalAlignment>`, `Constable`

public enum TextAreaVerticalAlignment extends Enum<TextAreaVerticalAlignment>
Represents the vertical alignment of the text area inside a shape.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM`
  Vertical alignment of text area inside a shape should start at the bottom of the shape.
  `JUSTIFY`
  Vertical alignment of text area inside a shape should be justified.
  `MIDDLE`
  Vertical alignment of text area inside a shape should start at the middle of the shape.
  `NONE`
  None
  `TOP`
  Vertical alignment of text area inside a shape should start at the top of the shape.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextAreaVerticalAlignment`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TextAreaVerticalAlignment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOP

    public static final TextAreaVerticalAlignment TOP
    Vertical alignment of text area inside a shape should start at the top of the shape.

  - ### MIDDLE

    public static final TextAreaVerticalAlignment MIDDLE
    Vertical alignment of text area inside a shape should start at the middle of the shape.

  - ### BOTTOM

    public static final TextAreaVerticalAlignment BOTTOM
    Vertical alignment of text area inside a shape should start at the bottom of the shape.

  - ### JUSTIFY

    public static final TextAreaVerticalAlignment JUSTIFY
    Vertical alignment of text area inside a shape should be justified.

  - ### NONE

    public static final TextAreaVerticalAlignment NONE
    None

- ## Method Details

  - ### values

    public static TextAreaVerticalAlignment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TextAreaVerticalAlignment valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null